Option Explicit On 
Option Strict On
Option Compare Binary

Imports System
Imports System.Windows.Forms

' <remarks>
'   Hauptformular der Anwendung.
' </remarks>
Public Class MainForm
    Inherits System.Windows.Forms.Form

    Private m_ssgen As ScreenshotGenerator

#Region " Vom Windows Form Designer generierter Code "
    Public Sub New()
        MyBase.New()
        InitializeComponent()

        m_ssgen = New ScreenshotGenerator()

        ' Der Screenshot-Behlter soll sich automatisch der enthaltenen Grafik anpassen.
        Me.picScreenshot.SizeMode = PictureBoxSizeMode.AutoSize

        ' Erstellen eines ersten Screenshots.
        Me.picScreenshot.Image = m_ssgen.Capture()
    End Sub

    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    Private components As System.ComponentModel.IContainer

    Friend WithEvents Panel1 As System.Windows.Forms.Panel
    Friend WithEvents picScreenshot As System.Windows.Forms.PictureBox
    Friend WithEvents btnCapture As System.Windows.Forms.Button

    <System.Diagnostics.DebuggerStepThrough()> _
    Private Sub InitializeComponent()
        Me.btnCapture = New System.Windows.Forms.Button()
        Me.Panel1 = New System.Windows.Forms.Panel()
        Me.picScreenshot = New System.Windows.Forms.PictureBox()
        Me.Panel1.SuspendLayout()
        Me.SuspendLayout()
        '
        'btnCapture
        '
        Me.btnCapture.Anchor = System.Windows.Forms.AnchorStyles.Bottom
        Me.btnCapture.Location = New System.Drawing.Point(132, 304)
        Me.btnCapture.Name = "btnCapture"
        Me.btnCapture.Size = New System.Drawing.Size(104, 24)
        Me.btnCapture.TabIndex = 0
        Me.btnCapture.Text = "&Capture screen"
        '
        'Panel1
        '
        Me.Panel1.Anchor = (((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
                    Or System.Windows.Forms.AnchorStyles.Left) _
                    Or System.Windows.Forms.AnchorStyles.Right)
        Me.Panel1.AutoScroll = True
        Me.Panel1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
        Me.Panel1.Controls.AddRange(New System.Windows.Forms.Control() {Me.picScreenshot})
        Me.Panel1.Location = New System.Drawing.Point(16, 16)
        Me.Panel1.Name = "Panel1"
        Me.Panel1.Size = New System.Drawing.Size(336, 264)
        Me.Panel1.TabIndex = 1
        '
        'picScreenshot
        '
        Me.picScreenshot.BackColor = System.Drawing.Color.FromArgb(CType(255, Byte), CType(224, Byte), CType(192, Byte))
        Me.picScreenshot.Name = "picScreenshot"
        Me.picScreenshot.Size = New System.Drawing.Size(152, 120)
        Me.picScreenshot.TabIndex = 0
        Me.picScreenshot.TabStop = False
        '
        'MainForm
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(368, 342)
        Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.Panel1, Me.btnCapture})
        Me.Name = "MainForm"
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
        Me.Text = "Screenshot"
        Me.Panel1.ResumeLayout(False)
        Me.ResumeLayout(False)

    End Sub
#End Region

    Private Sub btnCapture_Click( _
      ByVal sender As System.Object, _
      ByVal e As System.EventArgs) _
      Handles btnCapture.Click
        Me.picScreenshot.Image = m_ssgen.Capture()
    End Sub
End Class